%define _cmake_skip_rpath %{nil}

Name:          gemrb
Version:       0.8.4
Release:       %mkrel 1
Summary:       Port of the original Infinity (Game) Engine
Group:         Games/Adventure
License:       GPLv2+
URL:           http://www.gemrb.org
Source0:       http://downloads.sourceforge.net/gemrb/%{name}-%{version}.tar.gz

BuildRequires: cmake
BuildRequires: pkgconfig(gl)
BuildRequires: pkgconfig(glew)
BuildRequires: pkgconfig(libpng)
BuildRequires: pkgconfig(libvlc)
BuildRequires: pkgconfig(openal)
BuildRequires: pkgconfig(python)
BuildRequires: pkgconfig(sdl2)
BuildRequires: pkgconfig(SDL2_mixer)
BuildRequires: pkgconfig(SDL2_ttf)
BuildRequires: pkgconfig(vorbis)
BuildRequires: pkgconfig(zlib)

%description
GemRB (Game Engine Made with pre-Rendered Background) is a portable
open-source implementation of Bioware's Infinity Engine.

It was written to support pseudo-3D role playing games based on the
Dungeons & Dragons ruleset (Baldur's Gate and Icewind Dale series,
Planescape: Torment).

This is not a game, but the engine. You need data installed somewhere, and
point gemrb the the relevant directory. More details and a list of
supported games can be found at www.gemrb.org

%prep
%setup -q
%autopatch -p1

%build
%cmake -DLAYOUT=fhs \
       -DLIB_DIR=%{_libdir}/%{name} \
       -DUSE_SDL2=1 \
       -DUSE_OPENGL=1
%make_build

%install
%make_install -C build

rm -f %{buildroot}%{_sysconfdir}/gemrb/GemRB.cfg.noinstall.sample

%files
%doc AUTHORS COPYING NEWS README
%doc %{_docdir}/%{name}/en/
%exclude %{_docdir}/%{name}/INSTALL
%{_bindir}/%{name}
%{_bindir}/extend2da.py
%{_datadir}/%{name}/
%{_datadir}/applications/%{name}.desktop
%{_datadir}/pixmaps/%{name}.png
%{_iconsdir}/hicolor/scalable/apps/%{name}.svg
%{_libdir}/%{name}/libgemrb_core.so*
%{_libdir}/%{name}/plugins/
%{_mandir}/man6/%{name}.6*
%{_sysconfdir}/%{name}/GemRB.cfg.sample


%changelog
* Tue May 10 2016 akien <akien> 0.8.4-1.mga6
+ Revision: 1012297
- Version 0.8.4

* Tue Jan 12 2016 akien <akien> 0.8.3-1.mga6
+ Revision: 922325
- Version 0.8.3

* Sun Oct 25 2015 daviddavid <daviddavid> 0.8.2-4.mga6
+ Revision: 895244
- add more docs to fix build with latest rpm

* Mon Aug 24 2015 sander85 <sander85> 0.8.2-3.mga6
+ Revision: 869108
- Rebuild for glew 1.13.0

* Wed Jun 24 2015 akien <akien> 0.8.2-2.mga6
+ Revision: 842011
- Rebuild for GLEW 1.12

* Tue Jan 06 2015 akien <akien> 0.8.2-1.mga5
+ Revision: 808719
- Version 0.8.2
- Build SDL2 and OpenGL plugins

* Wed Oct 15 2014 umeabot <umeabot> 0.8.1-4.mga5
+ Revision: 744518
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.8.1-3.mga5
+ Revision: 679487
- Mageia 5 Mass Rebuild

* Thu Jul 03 2014 akien <akien> 0.8.1-2.mga5
+ Revision: 642877
- Workaround stack-protector issue
- Version 0.8.1

  + umeabot <umeabot>
    - Mageia 4 Mass Rebuild

* Mon Jun 03 2013 fwang <fwang> 0.8.0.1-1.mga4
+ Revision: 435934
- new version 0.8.0.1

* Fri Jan 11 2013 umeabot <umeabot> 0.7.2-2.mga3
+ Revision: 351274
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Dec 03 2012 stormi <stormi> 0.7.2-1.mga3
+ Revision: 326079
- add back buildroot cleaning in install section

  + shadow95 <shadow95>
    - add BuildRequires vlc-devel required by plugin VLCPlayer.so
    - Update to new version 0.7.2

* Tue Jul 17 2012 shadow95 <shadow95> 0.7.1-1.mga3
+ Revision: 271970
- update new version 0.7.1

* Fri Jan 27 2012 fwang <fwang> 0.7.0-2.mga2
+ Revision: 202205
- fix linkage

* Wed Jan 04 2012 shadow95 <shadow95> 0.7.0-1.mga2
+ Revision: 190805
- add BuildRequires: libSDL_ttf-devel
- Update to new version 0.7.0
- clean spec (remove #define name, #define release)

* Thu Nov 17 2011 shadow95 <shadow95> 0.6.6-1.mga2
+ Revision: 168585
- remove requires python
- update to new release 0.6.6
- Add Requires python

* Mon Apr 11 2011 xrogaan <xrogaan> 0.6.4-1.mga2
+ Revision: 83176
- Updated to new version

* Wed Mar 02 2011 xrogaan <xrogaan> 0.6.3-1.mga1
+ Revision: 62706
- Fix BuildRequires
- Fixes BuildRequires for python libraries
- Update the description
- imported package gemrb

